body {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    overflow: hidden;
    font-family: Arial, Helvetica, sans-serif;
}

#menu {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.gun-select,
.target-select {
    display: flex;
    gap: 2rem;
}

.gun-select label,
.target-select label {
    display: flex;
    flex-direction: column;
    margin-block: 1rem;
}

input,
select {
    background-color: lightgray;
    border: 5px solid gray;
    padding: 10px 30px;
    border-radius: 10px;
    margin: 3px;
    width: 100%;
    box-sizing: border-box;
}

#btn-play {
    background-color: green;
    color: white;
    font-weight: bold;
}
#btn-instruction {
    background-color: maroon;
    color: white;
    font-weight: bold;
}

#btn-close {
    width: 25px;
    height: 25px;
    background-color: red;
    border-radius: 50%;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    position: absolute;
    top: 20px;
    right: 20px;
    cursor: pointer;
}

button {
    border: none;
    padding: 1rem 2rem;
    border-radius: 5px;
    cursor: pointer;    
}

#instruction {
    background-color: #303030;
    color: white;
    padding: 5rem 1rem;
    border-radius: 10px;
    margin-left: 2rem;
    min-width: 25%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
}

.none {
    display: none !important;
}

#shooterCanvas {
    background: url('./Sprites/background.jpg') no-repeat center center;
}

.leaderboard {
    background-color: black;
    color: white;
    padding: 10px;
}

#game {
    display: flex;
}

#waktuhabis {
    background-color: #424242;
    color: white;
    border: none;
    padding: 20px 30px;
    border-radius: 10px;
}
#pause {
    background-color: #424242;
    color: white;
    border: none;
    padding: 20px 30px;
    border-radius: 10px;
}

.score {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #ffffff80;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

.score button {
    background-color: yellow;
    padding: 5px 20px;
    border-radius: 0;
    font-weight: bold;
    font-style: italic;
}

.data {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.data span:nth-child(1) {
    font-weight: bold;
}